View Issue Details

IDProjectCategoryView StatusLast Update
0022362LazarusWidgetsetpublic2019-04-22 17:30
ReporterMartin Friebe Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022362: gtk2/qt StatusBar.Panel with width 0 is not hidden
DescriptionThe source editor uses a statusbar with panels.
One panel contains a red square (stop button for macro recording)

This panel is normally hidden by setting it's width := 0
Only while recording a macro it is shown.

On GTK and QT it is not fully hidden. Further more, the red square is painted outside its width, rather than being clipped.
TagsNo tags attached.
Fixed in Revision37856,37857,37862
LazTarget-
WidgetsetGTK 2, QT
Attached Files

Activities

Zeljan Rikalo

2012-07-03 06:07

developer   ~0060822

@Martin, can you create example and attach it ? I'll try to fix it before vacation.

2012-07-03 09:40

 

statusbar_panel.rar (3,250 bytes)

Martin Friebe

2012-07-03 09:42

manager   ~0060825

Last edited: 2012-07-03 09:44

While doing this I found a 2nd issue:

On QT it setting
  StatusBar1.Panels[1].Width:=0;
does nothing,
unless another panel is modified.

Simple comment out the lines:
  //StatusBar1.Panels[2].Text:='On';
  //StatusBar1.Panels[2].Text:='Off';

I have not tested this 2nd issue on gtk2.

---------
Btw, the clipping may not be an issue. I never tested if windows really does it. In Windows the PanelDraw might not be called if hidden? (not tested).

Zeljan Rikalo

2012-07-03 10:58

developer   ~0060829

Please test and close if ok. btw. haven't spotted any problem with clipping (qt or gtk2), also qt have it's own philosophy about minimum size of panel so anything below margins * 2 will be hidden (eg. panel cannot be size of 2 px).

Martin Friebe

2012-07-03 11:38

manager   ~0060831

Will test in a bit

I think only width 0 should hide

width 1..min should be minimum size (the app obviously wants to display something).

Zeljan Rikalo

2012-07-04 05:30

developer   ~0060842

Removed counting of margin under qt, now only width = 0 hides panel as you proposed.

Issue History

Date Modified Username Field Change
2012-07-02 21:47 Martin Friebe New Issue
2012-07-02 21:47 Martin Friebe LazTarget => -
2012-07-02 21:47 Martin Friebe Widgetset => GTK 2, QT
2012-07-03 06:07 Zeljan Rikalo Note Added: 0060822
2012-07-03 06:07 Zeljan Rikalo Status new => feedback
2012-07-03 09:40 Martin Friebe File Added: statusbar_panel.rar
2012-07-03 09:42 Martin Friebe Note Added: 0060825
2012-07-03 09:44 Martin Friebe Note Edited: 0060825
2012-07-03 10:56 Zeljan Rikalo Status feedback => assigned
2012-07-03 10:56 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-07-03 10:58 Zeljan Rikalo Fixed in Revision => 37856,37857
2012-07-03 10:58 Zeljan Rikalo Status assigned => resolved
2012-07-03 10:58 Zeljan Rikalo Resolution open => fixed
2012-07-03 10:58 Zeljan Rikalo Note Added: 0060829
2012-07-03 11:38 Martin Friebe Note Added: 0060831
2012-07-04 05:29 Zeljan Rikalo Status resolved => confirmed
2012-07-04 05:30 Zeljan Rikalo Fixed in Revision 37856,37857 => 37856,37857,37862
2012-07-04 05:30 Zeljan Rikalo Status confirmed => resolved
2012-07-04 05:30 Zeljan Rikalo Note Added: 0060842
2019-04-22 17:30 Martin Friebe Status resolved => closed